igeo.io

## Class IRhino3dm.Surface

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Surface

- Direct Known Subclasses:
    IRhino3dm.Extrusion, IRhino3dm.NurbsSurface, IRhino3dm.PlaneSurface, IRhino3dm.RevSurface, IRhino3dm.SumSurface, IRhino3dm.SurfaceProxy
  Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Surface
      extends IRhino3dm.Geometry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IRhino3dm.Surface.ISO`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Surface()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISurfaceGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `ISurface` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IRhino3dm.Interval` | `domain(int dir)`
    `IRhino3dm.UUID` | `getClassUUID()`
    `static int` | `getInt(IRhino3dm.Surface.ISO iso)`
    `int` | `getType()`
    `static IRhino3dm.Surface.ISO` | `readIso(int i)`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Surface

          public Surface()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Geometry`

    - #### getType

          public int getType()

      Overrides:
        `getType` in class `IRhino3dm.RhinoObject`

    - #### readIso

          public static IRhino3dm.Surface.ISO readIso(int i)

    - #### getInt

          public static int getInt(IRhino3dm.Surface.ISO iso)

    - #### domain

          public IRhino3dm.Interval domain(int dir)

    - #### createIObject

          public ISurface createIObject(IRhino3dm.Rhino3dmFile context,
                                        IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.RhinoObject`

    - #### createIGeometry

          public ISurfaceGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                             IServerI s)